Subject: Re: svn commit: r40102 - head/en_US.ISO8859-1/books/faq

From: Eitan Adler <[email-masked]>
Date: Mon, 19 Nov 2012 22:57:53 -0500

On 19 November 2012 22:39, Benjamin Kaduk <[email-masked]> wrote:
>> +             are bundled up into transaction groups
>> +             and written to disk when filled (<quote>Transaction Group
>> +               Commit</quote>).  However syscalls like &man.fsync.2;
>
> Bogus whitespace.

How so?

>> +         <answer>
>> +           <para>The <acronym>L2ARC</acronym> is a read cache stored
> No expansion of the acronym?

I thought about this but didn't think it added much.
(Layer 2 adaptive replacement cache) is what it would say

> I think "an L2ARC" is better, as one seems likely to pronounce the 'L' as an
> ell sound.

This is grammatically incorrect, but I agree it feels more natural.
I'm not sure what to put.

> "possible" does not equate to "generally speaking, no".  Perhaps "probable"
> is more appropriate here?

Perhaps, but this isn't worth changing.  I was trying to balance
between people telling me "this is evil, never do it" and "its okay if
you know what to expect."

> I think the parallelism is wrong in this comma-separated list, but could be
> wrong.  Removing the "is" might help.

Good call.

> "duplicated" is probably not the best phrasing, as it does not immediately
> convey the sense that another copy of the data is made, as "replicated" or
> "made separate" or such would.
agreed.

Lets go with?

commit dbf0837f882756f053be21aa22cd28f200d4bac9
Author: Eitan Adler <[email-masked]>
Date:   Mon Nov 19 22:56:46 2012 -0500

    Minor wording fixes for the recently committed ZFS section.

    Submitted by:	bjk
    Approved by:	??? (mentor)

diff --git a/en_US.ISO8859-1/books/faq/book.xml
b/en_US.ISO8859-1/books/faq/book.xml
index 22ccf55..43cde2a 100644
--- a/en_US.ISO8859-1/books/faq/book.xml
+++ b/en_US.ISO8859-1/books/faq/book.xml
@@ -5357,7 +5357,8 @@ C:\="DOS"</programlisting>
 	      are bundled up into transaction groups
 	      and written to disk when filled (<quote>Transaction Group
 		Commit</quote>).  However syscalls like &man.fsync.2;
-	      require a commitment to stable storage before returning.
+	      require a commitment that the data is written to stable
+	      storage before returning.
 	      The ZIL is needed for writes that have been acknowledged
 	      as written but which are not yet on disk as part of a
 	      transaction.  The transaction groups are timestamped.
@@ -5417,10 +5418,10 @@ C:\="DOS"</programlisting>
 	      very heavily duplicated (such as virtual machine images,
 	      or user backups) it is possible that deduplication will
 	      do more harm than good.  Another consideration is the
-	      inability to revert deduplication status.  If
-	      deduplication is enabled, data written, and then dedup
-	      is disabled, those blocks which were deduplicated will
-	      not be duplicated until they are next modified.</para>
+	      inability to revert deduplication status.  If data is
+	      written when deduplication is enabled, disabling dedup
+	      will not cause those blocks which were deduplicated to
+	      be replicated until they are next modified.</para>

 	    <para>Deduplication can also lead to some unexpected
 	      situations. In particular deleting files may become much

-- 
Eitan Adler
Source, Ports, Doc committer
Bugmeister, Ports Security teams